%global pname tempdir

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global desc \
Having to manually manage temporary directories is annoying. \
So this class encapsulates temporary directories which just disappear after \
use, including contained directories and files. \
Temporary directories are created with tempfile.mkdtemp and thus safe from \
race conditions. Cleanup might not work on windows if files are still opened. \


Name: python-%{pname}
Version: 0.6
Release: 1%{?dist}
Summary: Automatically manage temporary directories, based on tempfile.mkdtemp
License: MIT
URL: https://bitbucket.org/another_thomas/tempdir
Source0: https://pypi.python.org/packages/source/t/%{pname}/%{pname}-%{version}.tar.gz
BuildArch: noarch

%description
%{desc}

%package -n python2-%{pname}
Summary: %{summary}
BuildRequires: python2-devel
%{?python_provide:%python_provide python2-%{pname}}

%description -n python2-%{pname}
%{desc}

%package -n python3-%{pname}
Summary: %{summary}
BuildRequires: python3-devel
%{?python_provide:%python_provide python3-%{pname}}

%description -n python3-%{pname}
%{desc}

%prep
%setup -q -n %{pname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pname}
%{!?_licensedir:%global license %%doc}
%license docs/license.rst
%doc docs/use.rst
%{python2_sitelib}/%{pname}-%{version}-py2.?.egg-info
%{python2_sitelib}/tempdir.py*

%files -n python3-%{pname}
%license docs/license.rst
%doc docs/use.rst
%{python3_sitelib}/%{pname}-%{version}-py3.?.egg-info
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/tempdir.py

%changelog
* Wed Oct 14 2015 Dominik Mierzejewski <dominik@greysector.net> 0.6-1
- initial build
